package modulesAndPopups.shell.configs
{
	import modulesAndPopups.modules.windows.views.components.SomeSimpleView;
	import modulesAndPopups.modules.windows.views.components.SomeWindow;
	import modulesAndPopups.modules.windows.views.mediators.SomeSimpleMediator;
	import modulesAndPopups.modules.windows.views.mediators.SomeWindowMediator;
	import modulesAndPopups.shell.views.components.WindowOpenerView;
	import modulesAndPopups.shell.views.mediators.WindowOpenerMediator;

	import robotlegs.bender.extensions.mediatorMap.api.IMediatorMap;
	import robotlegs.bender.framework.api.IConfig;

	public class MediatorsConfig implements IConfig
	{
		[Inject]
		public var mediatorMap:IMediatorMap;

		public function configure():void
		{
			mediatorMap.map(SomeWindow).toMediator(SomeWindowMediator);
			mediatorMap.map(SomeSimpleView).toMediator(SomeSimpleMediator);
			mediatorMap.map(WindowOpenerView).toMediator(WindowOpenerMediator);
		}
	}
}
